/*acceuil*/

body {
    font-family: 'Arial', sans-serif;
    margin: 0;
    
    background-color: #fef8fc;
    color: #333;
    display: grid;
    grid-template-rows: auto 1fr auto;
    min-height: 100vh;
  }
  
  
  
  
  .navbar {
    display: flex;
    justify-content:space-between;
    align-items: center;
    background-color: #d96ea3;
    padding: 10px 20px;
    
    
  }
  
  .logo {
    font-family: "Mrs Sheppards", serif;
    font-size: 22px;
    color: #fff; /* Couleur du texte */
    
    
    letter-spacing: 0.5px;
    
  }
  
  .logo::before,
  .logo::after {
    content: "<";
    color: #ccc; /* Couleur des chevrons */
    margin-right: 8px;
    font-family: Arial, sans-serif; /* Style des chevrons */
  }
  
  .logo::after {
    content: "/>";
    margin-left: 8px;
  }
  
  
  .nav-links {
    list-style: none;
    display: flex;
    gap: 15px;
    margin: 0;
    padding: 0;
   
    
  }
  
  .nav-links li a {
    text-decoration: none;
    color: #fff;
    font-weight: bold;
    padding: 8px 15px;

   
    
  }
  
  .nav-links li a:hover {
    background-color: #ff8aba;
  }
  
 
  .theme-switch {
    cursor: pointer;
    font-size: 1.5em;
    
    
  }
  
  .theme-switch:hover {
    transform: rotate(20deg);
  }
  
  
  section {
    padding: 20px;
    text-align: center;
  }
  
  h1 {
    color: #000000;
  }


  
.container {
  display: flex;
  min-height: 100vh; 
  
  
}


.profile-card {
  background-color: #ffe4e9;
  
  border-radius: 20px;
  width: 300px;
  padding: 20px;
  box-shadow: 0px 10px 20px rgba(0, 0, 0, 0.1);
  text-align: center;
  
  margin: 20px;
}


.profile-image  {
  width: 150px;
  height: 150px;
  border-radius: 100%;
  margin-bottom: 15px;
}


.profile-name {
  font-size: 24px;
  margin: 10px 0;
  color: #333;
}

.profile-title {
  font-size: 14px;
  color: #777;
  margin-bottom: 20px;
}


.profile-card hr {
  
  
  margin: 20px 0;
}


.profile-details {
  text-align: left;
  margin-bottom: 60px;
}

.detail {
  display: flex;
  align-items: center;
  margin-bottom: 15px;
}

 .icon {
  font-size: 20px;
  margin-right: 10px;
  
}

.detail h3 {
  margin: 0;
  font-size: 12px;
  color: #777;
}

.detail p {
  margin: 0;
  font-size: 14px;
  color: #333;
}


.profile-socials {
  display: flex;
  justify-content: center;
  gap: 10px;
}

.profile-socials a img {
  width: 25px;
  height: 25px;
  
  
}


.main-content {
  flex: 1;
  padding: 40px;
  font-family: Arial, sans-serif;
}


  body.dark-mode  {
    background-color: #2b2b2b;
    color: #f5f5f5;
  }
 
    
  body.dark-mode p , 
  body.dark-mode .contact-form label,
  
  body.dark-mode h1 {
    
    color: #f5f5f5;
  }
  
  body.dark-mode .profile-card h2 {
    color:#f5f5f5;
  }
 
.about-me {
  background-color: #ffe4e9;
  border-radius: 10px;
  padding: 20px;
  margin: 20px 0;
  text-align: center;
  box-shadow: 0px 10px 20px rgba(0, 0, 0, 0.1);
}

.about-me h2 {
  font-size: 24px;
  margin-bottom: 10px;
  color: #d96ea3;
}

.about-me p {
  font-size: 16px;
  line-height: 1.6;
  color: #333;
}


.location {
  text-align: center;
  margin: 20px 0;
}

.location h2 {
  font-size: 24px;
  margin-bottom: 10px;
  color: #d96ea3;
}

.location p {
  font-size: 16px;
  color: #333;
}

.map-container iframe {
  border-radius: 10px;
  box-shadow: 0px 10px 20px rgba(0, 0, 0, 0.1);
}


.interests {
  text-align: center;
  margin: 20px 0;
}

.interests h2 {
  font-size: 24px;
  margin-bottom: 10px;
  color: #d96ea3;
}

.interest-gallery {
  display: flex;
  
  gap: 20px;
  justify-content: center;
}

.interest {
  background-color: #ffe4e9;
  border-radius: 10px;
  width: 150px;
  padding: 10px;
  text-align: center;
  box-shadow: 0px 10px 20px rgba(0, 0, 0, 0.1);
}

.interest img {
  width: 100%;
  height: 100%;
  max-width: 50px;
  max-height: 50px;
  
}

.interest h3 {
  margin-top: 10px;
  font-size: 16px;
  color: #333;
}
body.dark-mode .interest h3 {
  color:#000000;
}
.footer {
  background-color: #d96ea3;; 
  color: #fff; 
  text-align: center; 
  padding: 10px 0; 
  
 
  width: 100%; 
  font-size: 17px; 
  letter-spacing: 0.7px;
}

.footer a {
  color: #fff; 
  text-decoration: none; 
  font-family: "Great Vibes", cursive;
  font-size: 22px ;
  font-weight: bold;
  letter-spacing: 2.5px;
  
}

.footer a:hover {
  
  text-decoration: underline; 
}


/* Formulaire de contact */
.contact-form {
  display: flex;
  flex-direction: column;
  
  gap: 15px;
}

.contact-form label {
  font-size: 14px;
  color: #333;
}

.contact-form input,
.contact-form textarea {
  padding: 10px;
  border: 1px solid #ddd;
  border-radius: 5px;
  font-size: 14px;
  color: #333;
}

.contact-form input:focus,
.contact-form textarea:focus {
  border-color: #ff66a3;
  outline: none;
}

.contact-form button {
  background-color: #ff66a3;
  color: #fff;
  border: none;
  padding: 10px;
  font-size: 16px;
  border-radius: 5px;
  cursor: pointer;
  
}

.contact-form button:hover {
  background-color: #e05592;
}


body.dark-mode .container {
  background-color: #1f1f1f;
  color: #ffffff;
}

body.dark-mode .profile-card ,body.dark-mode .about-me,body.dark-mode .experience-card,body.dark-mode .academic-card,body.dark-mode .skills-category
,body.dark-mode .certificate-card,body.dark-mode .activity-card,body.dark-mode .container-event,body.dark-mode .quiz-container
{
  background-color: #333;
  color: #fff;
}
body.dark-mode li,body.dark-mode h3{
  color:#fff;
}

body.dark-mode .contact-form input,
body.dark-mode .contact-form textarea {
  background-color: #555;
  color: #fff;
  border: 1px solid #777;
}

.main-content a {
  color: #ff66a3;
  
}

.main-content a:hover {
  color: #e05592;
}


/* Section CV */

.btn-download {
  display: inline-block;
  padding: 10px 20px;
  background-color: #ff66a3; 
  color: white;
  font-size: 16px;
  text-decoration: none;
  border-radius: 8px;
  font-weight: bold;
  
}

.btn-download:hover {
  background-color: #e05592;
  transform: scale(1.05); 
}
.experience-section {
  margin-top: 40px;
}

.experience-cards {
  display: flex;
  justify-content: center;
  gap: 20px;
  flex-wrap: wrap;
}

.experience-card {
  background-color: #fff;
  border-radius: 10px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  width: 48%;
  padding: 20px;
  transition: transform 0.3s ;
}

.experience-card:hover {
  transform: scale(1.05);
}

.experience-card h3 {
  color: #ff66a3;
  font-size: 1.4em;
}

.experience-card ul {
  list-style: none;
  padding: 0;
}

.experience-card ul li {
  margin-bottom: 10px;
}


.academic-section {
  margin-top: 40px;
}

.academic-cards {
  display: flex;
  gap: 20px;
  flex-wrap: wrap;
  
  justify-content: center;
}

.academic-card {
  background-color: #fff;
  border-radius: 10px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  width: 48%;
  padding: 20px;
  transition: transform 0.3s ;
}

.academic-card:hover {
  transform: scale(1.05);
}

.academic-card h3 {
  color: #ff66a3;
  font-size: 1.4em;
}

.academic-images img {
  margin-top: 10px;
  width: 100%;
  max-width: 200px;
  border-radius: 10px;
  box-shadow: 0px 5px 10px rgba(0, 0, 0, 0.1);
}


.skills-section {
  margin-top: 40px;
}

.skills-list {
  display: flex;
  flex-wrap: wrap;
  gap: 20px;
  justify-content: center;
}

.skills-category {
  width: 48%;
  background-color: #fff;
  border-radius: 10px;
  padding: 20px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  transition: transform 0.3s ;
}

.skills-category:hover {
  transform: scale(1.05);
}

.skills-category h3 {
  color: #ff66a3;
  font-size: 1.4em;
}

.skills-category p {
  color: #555;
}


.certificates-section {
  margin-top: 40px;
}

.certificates-cards {
  display: flex;
  gap: 20px;
  flex-wrap: wrap;
  justify-content: center;
}

.certificate-card {
  background-color: #fff;
  border-radius: 10px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  width: 48%;
  padding: 20px;
  text-align: center;
  transition: transform 0.3s;
}

.certificate-card:hover {
  transform: scale(1.05);
}

.certificate-card img {
  max-width: 200px;
  margin-top: 10px;
}

.certificate-card h3 {
  color: #ff66a3;
  font-size: 1.4em;
}

.certificate-card a {
  color: #ff66a3;
  text-decoration: none;
  font-weight: bold;
}

.certificate-card a:hover {
  text-decoration: underline;
}


.activities-section {
  margin-top: 40px;
}

.activities-card {
  display: flex;
  gap: 20px;
  flex-wrap: wrap;
  justify-content: center;
}

.activity-card {
  background-color: #fff;
  border-radius: 10px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  width: 48%;
  padding: 20px;
  text-align: center;
  transition: transform 0.3s ;
}

.activity-card:hover {
  transform: scale(1.05);
}

.activities-card h3 {
  color: #ff66a3;
  font-size: 1.4em;
}

.activities-card p {
  color: #555;
}


.experiences-container {
  display: flex;
  flex-wrap: wrap;
  gap: 20px;
  justify-content: center;
}


.experience-card {
  background-color: #fff;
  border-radius: 10px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  width: 50%;
  padding: 20px;
  
}

.experience-card:hover {
  transform: scale(1.05);
}

.experience-card h2 {
  color: #ff66a3;
  font-size: 1.4em;
  margin-bottom: 10px;
}

.experience-details ul {
  list-style-type: none;
  padding: 0;
  font-size: 1em;
  color: #555;
}

.experience-details ul li {
  margin: 10px 0;
}


.media-gallery {
  display: flex;
  gap: 10px;
  flex-wrap: wrap;
  justify-content: center;
}

.media-gallery img {
  max-width: 48%;
  border-radius: 10px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  margin-bottom: 10px;
}

video {
  width: 100%;
  max-width: 500px;
  height: 100%;
  max-height: 500px;
  border-radius: 10px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}


.dark-mode {
  background-color: #333;
  color: #fff;
}

.dark-mode .navbar {
  background-color: #ff66a3;
}
.media2 img{
  width:100%;
  height: 100%;
  max-width: 600px;
  max-height: 400px;
}
.ider-logo {
  width: 250px;
  
 
  
}
.wide-insights{
  width: 100%;
  height: 100%;
  max-width:150px;
  max-height: 100px;
}
body.dark-mode .resume-main h1,body.dark-mode .resume-main h3,body.dark-mode .experiences-main h1,body.dark-mode .experiences-main h3,
body.dark-mode .container-event h1,body.dark-mode .quiz-container h1,body.dark-mode .main-content h1{
  color: #ff66a3;
}
body.dark-mode .certificate-card a{
color:#fff;

}
/*quiz*/
.quiz-container {
  max-width: 800px;
  margin: 20px auto;
  padding: 20px;
  background-color: #fff;
  border-radius: 10px;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
  text-align: center;
}

h1 {
  color: #ff66a3;
  margin-bottom: 20px;
}

.question {
  font-size: 20px;
  margin-bottom: 15px;
}

.answer-btn {
  display: block;
  width: 100%;
  margin: 10px 0;
  padding: 10px;
  font-size: 18px;
  background-color: #ff66a3;
  color: #fff;
  border: none;
  border-radius: 5px;
  cursor: pointer;
}

.answer-btn:hover {
  background-color: #e05590;
}

#feedback img {
  max-width: 300px;
  margin: 10px auto;
  border-radius: 5px;
}

#next-btn {
  background-color: #ff66a3;;
  color: #fff;
  border: none;
  border-radius: 5px;
  padding: 10px 15px;
  cursor: pointer;
  display: none; /* Caché par défaut */
  margin-top: 15px;
}

#next-btn:hover {
  background-color: #e05592;
}


#score-container {
  margin-top: 20px;
  font-size: 22px;
  color: #333;
  text-align: center;
}

/*manifestation*/
.container-event {
  max-width: 900px;
  margin: auto;
  background: #fff;
  padding: 20px;
  border-radius: 10px;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
}

h1 {
  text-align: center;
  color: #ff66a3;
  margin-bottom: 20px;
}

.event {
  margin: 50px auto;
}

.event h2 {
  color: #ff66a3;
  font-size: 20px;
  margin-bottom: 10px;
  text-align: center;
}
.event h3{
  
  margin: 35px auto;
  font-family:'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
  color: #5d002f;
  text-decoration: underline;
}
body.dark-mode .event h3{
  color: #ff66a3;
}
.event p {
  line-height: 1.6;
}

.media-event {
  margin-top: 10px;
}


.media-centre img{
  width: 100%;
  max-width: 400px;
  height: 100%;
  max-height: 600px;
}
.media-centre{
  display: flex;
  justify-content: center; 
  align-items: center;
}
.media img {
  width: 100%;
  max-width: 400px;
  height: 100%;
  max-height: 270px;
  margin-right: 10px;
  border-radius: 10px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}
.media{
  margin: auto;
}
